Redmine - Feature #7517

Configurable path of executable for scm adapters
2011-02-02 03:10 - Toshi MARUYAMA

Status: Closed Start date: 2011-02-02
Priority: Normal Due date:

Assignee: Toshi MARUYAMA % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version: 1.2.0

Resolution: Fixed

Description

There is a request.

http://www.redmine.org/boards/4/topics/20244?r=20293#message-20293

Related issues:

Related to Redmine - Feature #7408: Add an application configuration file Closed 2011-01-22
Related to Redmine - Defect #3906: Cannot browse Git repositories in r2898 Closed 2009-09-23
Related to Redmine - Defect #6980: Error in tab Repository Closed 2010-11-25
Related to Redmine - Feature #4273: SCM command availability automatic check ... Closed 2009-11-23
Related to Redmine - Defect #6911: Viewing files or diff with mercurial gives... Closed 2010-11-16
Related to Redmine - Defect #6713: Git: Not able to Resetting Redmine project... New 2010-10-20
Related to Redmine - Defect #8825: JRuby + Windows: SCMs do not work on Redmi... Closed 2011-07-15
Related to Redmine - Defect #28920: Redmine::VERSION::revision should take su... Closed

Associated revisions

Revision 4795 - 2011-02-04 05:28 - Toshi MARUYAMA

scm: add a feature of configurable path of executable for scm adapters (#7517).

Revision 4796 - 2011-02-04 06:30 - Toshi MARUYAMA

scm: use "e.g." for "for example" at config/configuration.yml.example (#7517).

Revision 4797 - 2011-02-04 11:24 - Toshi MARUYAMA

scm: change key name of configurable command name (#7517, #6159, #7047).
Revision 4798 - 2011-02-05 01:57 - Toshi MARUYAMA

scm: add scm_cvs_command at config/configuration.yml.example (#7517).

| forgot to add it.

Revision 4821 - 2011-02-14 07:14 - Toshi MARUYAMA

scm: use shell quote for scm command at adapter level (#7517, #4273).
"C:\Program Files\TortoiseHg\hg.exe" can be used in config/configuration.yml.

In Ruby 1.9 10.popen, if cmd is an Array of String,
it will be used as the subprocess's argv bypassing a shell.

See http://www.ruby-doc.org/core/classes/IO.html

Revision 6007 - 2011-06-08 13:19 - Toshi MARUYAMA

scm: add log message of config/configuration.yml if scm command raise Errno::ENOENT exception (#7517, #4273).
Revision 6447 - 2011-08-16 02:10 - Toshi MARUYAMA

scm: add comment that configuration of SCM executable command does not work if contains spaces path to configuration.yml.example (#7517,
#8825).
History

#1 - 2011-02-02 17:12 - Jean-Philippe Lang

Should be configurable through the recently added application configuration file (config/configuration.yml).
Eg.: svn_bin_path, hg_bin_path...

#2 - 2011-02-04 06:32 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Fixed

Svn trunk r4795 implemented this feature.

#3 - 2018-05-31 11:50 - Go MAEDA

- Related to Defect #28920: Redmine::VERSION::revision should take subversion_command setting into account added
